package routers

import (
	beego "github.com/beego/beego/v2/server/web"
	"github.com/beego/beego/v2/server/web/context/param"
)

func init() {

    beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:CompanyUser"] = append(beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:CompanyUser"],
        beego.ControllerComments{
            Method: "GetUserReportList",
            Router: "/user_report_list",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:CompanyUser"] = append(beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:CompanyUser"],
        beego.ControllerComments{
            Method: "GetUserReportViewTotalList",
            Router: "/view_total_list",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:ReportController"] = append(beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:ReportController"],
        beego.ControllerComments{
            Method: "ListReport",
            Router: "/list",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:ReportControllerCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:ReportControllerCommon"],
        beego.ControllerComments{
            Method: "GetResearchReportChapter",
            Router: "/getReportChapterInfo",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:ReportControllerCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:ReportControllerCommon"],
        beego.ControllerComments{
            Method: "GetReportInfo",
            Router: "/getReportInfo",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

}
